using Tiobon.Core.Model.Models.RootTkey.Interface;

namespace Tiobon.Core.Model;

public class BasePoco : BasePoco1
{

    /// <summary>
    /// 表主键
    /// </summary>
    //public long Id { get; set; }
    [SugarColumn(IsNullable = false, IsPrimaryKey = true, IsIdentity = false), Display(Name = "表主键")]
    public long Id { get; set; }
}
public class BasePoco1 : IBaseDeleteFilter
{ 

    /// <summary>
    /// 1:有效,0:未生效
    /// </summary>
    [Display(Name = "1:有效,0:未生效")]
    public int IsEnable { get; set; } = 1; 

    ///// <summary>
    ///// 操作日志ID
    ///// </summary>
    //[Display(Name = "操作日志ID")]
    //public long? OperateLogID { get; set; }

    /// <summary>
    /// 创建人
    /// </summary>
    [Display(Name = "创建人"), SugarColumn(IsOnlyIgnoreUpdate = true)]
    public int? CreateBy { get; set; }

    /// <summary>
    /// 创建时间
    /// </summary>
    [Display(Name = "创建时间"), SugarColumn(IsOnlyIgnoreUpdate = true)]
    public DateTime? CreateTime { get; set; }

    /// <summary>
    /// 创建程序
    /// </summary>
    [Display(Name = "创建程序"), SugarColumn(IsOnlyIgnoreUpdate = true)]
    public string CreateProg { get; set; }

    /// <summary>
    /// 创建IP
    /// </summary>
    [Display(Name = "创建IP"), SugarColumn(IsOnlyIgnoreUpdate = true)]
    public string CreateIP { get; set; }

    /// <summary>
    /// 最后修改人
    /// </summary>
    [Display(Name = "最后修改人")]
    public int? UpdateBy { get; set; }

    /// <summary>
    /// 最后修改时间
    /// </summary>
    [Display(Name = "最后修改时间")]
    public DateTime? UpdateTime { get; set; }

    /// <summary>
    /// 最后修改程序
    /// </summary>
    [Display(Name = "最后修改程序")]
    public string UpdateProg { get; set; }

    /// <summary>
    /// 最后修改IP
    /// </summary>
    [Display(Name = "最后修改IP")]
    public string UpdateIP { get; set; }

}
